> ## Documentation Index
> Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate bank payout OTP

> Validate the OTP code for a bank payout order in "Created" state. On success, the order transitions to "Pending" and is dispatched. In sandbox the OTP code is always `123456`.



## OpenAPI

````yaml post /api/v1/account/bank-payouts/{oid}/validate-otp
openapi: 3.0.1
info:
  title: RALIO API
  description: Banking as a service API.
  contact:
    name: Tropipay Support
    url: https://help.tropipay.com/contacto/
    email: support@tropipay.com
  version: '1.0'
servers:
  - url: https://sandbox-revo-api.raliopay.com/
security: []
paths:
  /api/v1/account/bank-payouts/{oid}/validate-otp:
    post:
      tags:
        - payouts
      summary: Validate bank payout OTP
      description: >-
        Validate the OTP code for a bank payout order in "Created" state. On
        success, the order transitions to "Pending" and is dispatched. In
        sandbox the OTP code is always `123456`.
      parameters:
        - name: oid
          in: path
          description: Bank Payout Order ID
          required: true
          schema:
            type: string
      requestBody:
        description: OTP code
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.ValidatePayoutOTPRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.ValidatePayoutOTPResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dto.ValidatePayoutOTPRequest:
      required:
        - code
      type: object
      properties:
        code:
          type: string
          example: '123456'
    dto.ValidatePayoutOTPResponse:
      type: object
      properties:
        createdAt:
          type: string
          example: '2025-01-15T10:30:00.000Z'
        destination:
          $ref: '#/components/schemas/domain.Money'
        detailUrl:
          type: string
          example: /api/v1/account/bank-payouts/e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b
        displayType:
          type: string
          example: PayOut
        fee:
          $ref: '#/components/schemas/domain.Money'
        fx:
          $ref: '#/components/schemas/dto.FXResponse'
        id:
          type: string
          example: e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b
        origin:
          $ref: '#/components/schemas/domain.Money'
        reference:
          type: string
          example: PAY-2025-001234
        state:
          type: string
          example: PENDING
        type:
          type: string
          example: TYPE_PAYOUT
        validatedAt:
          type: string
          example: '2025-01-15T10:30:05.000Z'
    httperror.ErrResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/httperror.ErrorData'
    domain.Money:
      required:
        - currency
      type: object
      properties:
        amount:
          type: integer
          description: 'Amount in cents. Ex: 12345 = 123.45€'
          example: 1000
        currency:
          type: string
          description: USD, EUR, etc.
          example: CURRENCY
          enum:
            - EUR
            - USD
            - MXN
            - CAD
            - BRL
            - COP
            - PEN
            - BOB
            - CLP
            - ARS
            - UYU
            - PYG
            - CNY
            - HKD
            - MYR
            - USDT
            - USDC
            - EURC
            - BTC
            - ETH
    dto.FXResponse:
      type: object
      properties:
        pair:
          type: string
          example: CURRENCY/CURRENCY
        rate:
          type: number
          example: 1.08
        timestamp:
          type: string
          example: '2025-01-15T10:30:00.000Z'
    httperror.ErrorData:
      type: object
      properties:
        code:
          $ref: '#/components/schemas/httperror.ErrorCode'
        details:
          type: array
          items:
            $ref: '#/components/schemas/httperror.ErrorDetails'
        message:
          type: string
        type:
          $ref: '#/components/schemas/httperror.ErrorType'
    httperror.ErrorCode:
      type: string
      enum:
        - INVALID_REQUEST
        - UNAUTHORIZED
        - FORBIDDEN
        - NOT_FOUND
        - INTERNAL_SERVER_ERROR
        - UNKNOWN_ERROR
        - NOT_IMPLEMENTED
        - TOO_MANY_REQUESTS
        - QUOTE_EXPIRED
      x-enum-varnames:
        - InvalidRequestCode
        - UnauthorizedCode
        - ForbiddenCode
        - NotFoundCode
        - InternalServerCode
        - UnknownErrorCode
        - NotImplementedCode
        - TooManyRequestsCode
        - QuoteExpiredCode
    httperror.ErrorDetails:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
    httperror.ErrorType:
      type: string
      enum:
        - VALIDATION_ERROR
        - CONFLICT_ERROR
        - UNPROCESSABLE_ERROR
        - AUTHENTICATION_ERROR
        - AUTHORIZATION_ERROR
        - NOT_FOUND_ERROR
        - INTERNAL_ERROR
        - NOT_IMPLEMENTED_ERROR
        - UNKNOWN_ERROR
        - RATE_LIMIT_ERROR
      x-enum-varnames:
        - ValidationError
        - ConflictError
        - UnprocessableError
        - AuthenticationError
        - AuthorizationError
        - NotFoundError
        - InternalError
        - NotImplementedError
        - UnknownError
        - RateLimitError
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for accessing management endpoints
      x-mint-auth-type: bearer

````